<div>
  <h2 id="page-heading" data-cy="ArticleHeading">
    <span jhiTranslate="jokegeneratorApp.article.home.title">Articles</span>

    <div class="d-flex justify-content-end">
      <button class="btn btn-info me-2" (click)="loadPage()" [disabled]="isLoading">
        <fa-icon icon="sync" [spin]="isLoading"></fa-icon>
        <span jhiTranslate="jokegeneratorApp.article.home.refreshListLabel">Refresh List</span>
      </button>

      <button
        id="jh-create-entity"
        data-cy="entityCreateButton"
        class="btn btn-primary jh-create-entity create-article"
        [routerLink]="['/article/new']"
      >
        <fa-icon icon="plus"></fa-icon>
        <span jhiTranslate="jokegeneratorApp.article.home.createLabel"> Create a new Article </span>
      </button>
    </div>
  </h2>

  <jhi-alert-error></jhi-alert-error>

  <jhi-alert></jhi-alert>

  <div class="alert alert-warning" id="no-result" *ngIf="articles?.length === 0">
    <span jhiTranslate="jokegeneratorApp.article.home.notFound">No articles found</span>
  </div>

  <div class="table-responsive" id="entities" *ngIf="articles && articles.length > 0">
    <table class="table table-striped" aria-describedby="page-heading">
      <thead>
        <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" (sortChange)="loadPage()">
          <th scope="col" jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon icon="sort"></fa-icon></th>
          <th scope="col" jhiSortBy="name">
            <span jhiTranslate="jokegeneratorApp.article.name">Name</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col" jhiSortBy="price">
            <span jhiTranslate="jokegeneratorApp.article.price">Price</span> <fa-icon icon="sort"></fa-icon>
          </th>
          <th scope="col"></th>
        </tr>
      </thead>
      <tbody>
        <tr *ngFor="let article of articles; trackBy: trackId" data-cy="entityTable">
          <td>
            <a [routerLink]="['/article', article.id, 'view']">{{ article.id }}</a>
          </td>
          <td>{{ article.name }}</td>
          <td>{{ article.price }}</td>
          <td class="text-end">
            <div class="btn-group">
              <button
                type="submit"
                [routerLink]="['/article', article.id, 'view']"
                class="btn btn-info btn-sm"
                data-cy="entityDetailsButton"
              >
                <fa-icon icon="eye"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
              </button>

              <button
                type="submit"
                [routerLink]="['/article', article.id, 'edit']"
                class="btn btn-primary btn-sm"
                data-cy="entityEditButton"
              >
                <fa-icon icon="pencil-alt"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
              </button>

              <button type="submit" (click)="delete(article)" class="btn btn-danger btn-sm" data-cy="entityDeleteButton">
                <fa-icon icon="times"></fa-icon>
                <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
              </button>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </div>

  <div *ngIf="articles && articles.length > 0">
    <div class="d-flex justify-content-center">
      <jhi-item-count [params]="{ page: page, totalItems: totalItems, itemsPerPage: itemsPerPage }"></jhi-item-count>
    </div>

    <div class="d-flex justify-content-center">
      <ngb-pagination
        [collectionSize]="totalItems"
        [(page)]="ngbPaginationPage"
        [pageSize]="itemsPerPage"
        [maxSize]="5"
        [rotate]="true"
        [boundaryLinks]="true"
        (pageChange)="loadPage($event)"
      ></ngb-pagination>
    </div>
  </div>
</div>
